VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::ConfigurationModel Class Reference

The `ConfigurationModel` class defines the global settings of the Content Library Service. More...

List of all members.

## Public Member Functions
| ConfigurationModel ()
| Creates a default new instance.
bool | GetAutomaticSyncEnabled ()
| Whether automatic synchronization is enabled.
void | SetAutomaticSyncEnabled (bool?automaticSyncEnabled)
| Whether automatic synchronization is enabled.
long | GetAutomaticSyncStartHour ()
| The hour at which the automatic synchronization will start.
void | SetAutomaticSyncStartHour (long?automaticSyncStartHour)
| The hour at which the automatic synchronization will start.
long | GetAutomaticSyncStopHour ()
| The hour at which the automatic synchronization will stop.
void | SetAutomaticSyncStopHour (long?automaticSyncStopHour)
| The hour at which the automatic synchronization will stop.
long | GetMaximumConcurrentItemSyncs ()
| The maximum allowed number of library items to synchronize concurrently from remote libraries.
void | SetMaximumConcurrentItemSyncs (long?maximumConcurrentItemSyncs)
| The maximum allowed number of library items to synchronize concurrently from remote libraries.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ConfigurationModel` class defines the global settings of the Content Library Service.

## Constructor & Destructor Documentation

vmware::content::ConfigurationModel::ConfigurationModel | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::ConfigurationModel::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::ConfigurationModel::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::ConfigurationModel::_GetType | ( |  | ) | `[inline]`

bool vmware::content::ConfigurationModel::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::ConfigurationModel::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::ConfigurationModel::Equals | ( | object | obj | ) | `[inline]`

bool vmware::content::ConfigurationModel::GetAutomaticSyncEnabled | ( |  | ) | `[inline]`

Whether automatic synchronization is enabled.

When automatic synchronization is enabled, the Content Library Service will automatically synchronize all subscribed libraries on a daily basis. Subscribed libraries with the library.SubscriptionInfo.automaticSyncEnabled flag turned on will be synchronized every hour between ConfigurationModel.automaticSyncStartHour and ConfigurationModel.automaticSyncStopHour .

long vmware::content::ConfigurationModel::GetAutomaticSyncStartHour | ( |  | ) | `[inline]`

The hour at which the automatic synchronization will start.

This value is between 0 (midnight) and 23 inclusive.

long vmware::content::ConfigurationModel::GetAutomaticSyncStopHour | ( |  | ) | `[inline]`

The hour at which the automatic synchronization will stop.

Any active synchronization operation will continue to run, however no new synchronization operations will be triggered after the stop hour. This value is between 0 (midnight) and 23 inclusive.

override int vmware::content::ConfigurationModel::GetHashCode | ( |  | ) | `[inline]`

long vmware::content::ConfigurationModel::GetMaximumConcurrentItemSyncs | ( |  | ) | `[inline]`

The maximum allowed number of library items to synchronize concurrently from remote libraries.

This must be a positive number. The service may not be able to guarantee the requested concurrency if there is no available capacity.

This setting is global across all subscribed libraries.

void vmware::content::ConfigurationModel::SetAutomaticSyncEnabled | ( | bool? | automaticSyncEnabled | ) | `[inline]`

Whether automatic synchronization is enabled.

When automatic synchronization is enabled, the Content Library Service will automatically synchronize all subscribed libraries on a daily basis. Subscribed libraries with the library.SubscriptionInfo.automaticSyncEnabled flag turned on will be synchronized every hour between ConfigurationModel.automaticSyncStartHour and ConfigurationModel.automaticSyncStopHour .

void vmware::content::ConfigurationModel::SetAutomaticSyncStartHour | ( | long? | automaticSyncStartHour | ) | `[inline]`

The hour at which the automatic synchronization will start.

This value is between 0 (midnight) and 23 inclusive.

void vmware::content::ConfigurationModel::SetAutomaticSyncStopHour | ( | long? | automaticSyncStopHour | ) | `[inline]`

The hour at which the automatic synchronization will stop.

Any active synchronization operation will continue to run, however no new synchronization operations will be triggered after the stop hour. This value is between 0 (midnight) and 23 inclusive.

void vmware::content::ConfigurationModel::SetMaximumConcurrentItemSyncs | ( | long? | maximumConcurrentItemSyncs | ) | `[inline]`

The maximum allowed number of library items to synchronize concurrently from remote libraries.

This must be a positive number. The service may not be able to guarantee the requested concurrency if there is no available capacity.

This setting is global across all subscribed libraries.

override string vmware::content::ConfigurationModel::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ConfigurationModel.cs